version: "3.5"
services:

  pgmaster:
    image: postgres
    restart: always
    environment:
      - POSTGRES_USER=sbp
      - POSTGRES_PASSWORD=sbp
      - PG_REP_USER=replica
      - POSTGRES_DB=app
    networks:
      bpnet:
        aliases:
          - psql

  app:
    build: . # todo: add specific dockerfile and args
    restart: on-failure
    depends_on:
      - pgmaster
    networks:
      - bpnet

  app_db_init:
    build:
      context: .
      dockerfile: Dockerfile.dbinit
      args:
        CONFIG_FOLDER: "./storage/config_templates/docker"
    networks:
      - bpnet


networks:
  bpnet:
    driver: bridge
    name: bpnet

volumes:
  bpdata:


